# UPGRADE FROM `v2.x` TO `v3.x`

## Twig extension options

`dedi_sylius_image_optimizer_resolve_image_path` twig extension option `filters` has been updated to contain multiple filters.

Update `filter` option in your twig templates options accordingly :

Before :

```twig
{{ dedi_sylius_image_optimizer_resolve_image_path(
    'dedi_sylius_image_optimizer_webp_generic',
    image,
    {
        filters: {
            name: 'thumbnail'
            options {
                'mode' => 'outbound'
            }
        },
    }
) }}
```


After :

```twig
{{ dedi_sylius_image_optimizer_resolve_image_path(
    'dedi_sylius_image_optimizer_webp_generic',
    image,
    {
        filters: [
            {
                name: 'thumbnail',
                options {
                    'mode' => 'outbound',
                }
            },
        ]
    }
) }}
```